Subject: Re: [Fwd: abolish/1 in 3.3.0]

From: Paul Singleton <[email-masked]>
Date: Fri, 21 Jan 2000 04:20:24 +0000

Jan Wielemaker wrote:

> On Wed, 19 Jan 2000, Paul Singleton wrote:

> >...
> >But seriously, I need to unconsult procedures, and if that's outside
> >the ISO standard, so be it.  Help!

> I think I've got your point.  First, the hack:
> 
>         abolish_static_procedure(Name/Arity) :-
>                 dynamic(Name/Arity),
>                 abolish(Name/Arity).
> 
> :-)

That is cool :-) and I'm sorry I hadn't read the manual
carefully enough to spot the possibility.

(NB it isn't by any chance an ISO-compliant hack? :-)

I'm perfectly happy to use this: I only abolish from a
few places in my code, and this doesn't need or deserve a
non-standard abolish/1 semantics.

Thanks!

Paul Singleton